Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 611232 - -rtc cmdline changes
-rtc cmdline changes
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-04 07:53 EDT by Dor Laor
Modified: 2013-01-09 16:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-05 06:31:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dor Laor 2010-07-04 07:53:57 EDT
Description of problem:

Libvirt should pass this cmdline:
'-rtc base=utc,clock=host,driftfix=slew'
instead of only -etc base=utc.

Libvirt should also abundant the old -rtc-td-hack
Comment 1 Daniel Berrange 2010-07-05 06:31:38 EDT
Libvirt won't hardcode time keeping options, but it will pass whatever command line is configured for the guest. To get that particular set of options you need to configure

  <clock offset='utc'>
    <timer name='rtc' tickpolicy='catchup' track='wall'/>
  </clock>


For compatibility with old QEMU, libvirt will use -rtc-td-hack if it is present, but -rtc is not present.

Note You need to log in before you can comment on or make changes to this bug.